> For the complete documentation index, see [llms.txt](https://docs.gutenbricks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gutenbricks.com/resources/developer-api/echo-gb_current_element_id-returns-unique-id.md).

# echo:gb\_current\_element\_id returns unique ID

{% hint style="warning" %}
You must use it within the Bricks Builder element as a code or {echo:gb\_current\_element\_id}
{% endhint %}

gb\_current\_element\_id() returns the unique element ID that is currently being rendered. &#x20;

You must explicitly allow `gb_current_element_id` using "bricks/code/echo\_function\_names" filter. For more details, please visit <https://academy.bricksbuilder.io/article/filter-bricks-code-echo_function_names/>

### Example for bricks/code/echo\_function\_names filter

```php
add_filter( 'bricks/code/echo_function_names', function() {
  return [
    'gb_current_element_id',
    // ... other function names
  ];
} );
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gutenbricks.com/resources/developer-api/echo-gb_current_element_id-returns-unique-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
